# Event (SubServers.Host)

net.ME1312.SubServers.Host.Library.Event

## Class Event

- java.lang.Object
- - net.ME1312.SubServers.Host.Library.Event.Event

Direct Known Subclasses:
  CommandPreProcessEvent, SubAddServerEvent, SubCreateEvent, SubDisableEvent, SubEnableEvent, SubNetworkConnectEvent, SubNetworkDisconnectEvent, SubRemoveServerEvent, SubSendCommandEvent, SubStartEvent, SubStopEvent, SubStoppedEvent

    public abstract class Event
    extends java.lang.Object

SubEvent Layout Class

### Constructor Summary

Constructors
Constructor and Description
`Event()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SubAPI` `getAPI()` Gets SubAPI
`java.util.Map<SubPluginInfo,java.util.List<java.lang.reflect.Method>>` `getHandlers()` Get the handlers for this event
`SubPluginInfo` `getPlugin()` Gets your Plugin's Info
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Event

    public Event()

### Method Detail

#### getAPI

    public SubAPI getAPI()

Gets SubAPI

Returns:
  SubAPI

#### getPlugin

    public SubPluginInfo getPlugin()

Gets your Plugin's Info

Returns:
  Plugin Info

#### getHandlers

    public java.util.Map<SubPluginInfo,java.util.List<java.lang.reflect.Method>> getHandlers()
                                                                                      throws java.lang.IllegalAccessException

Get the handlers for this event

Returns:
  Handler Map
Throws:
  `java.lang.IllegalAccessException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`